import 'package:flutter/material.dart';
import 'package:appboxo_sdk/appboxo_sdk.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
    AppboxoSdk.setConfig("602248");
    AppboxoSdk.customEvents().listen((CustomEvent event) {
      if (event.appId == 'app16973') {
        event.payload = {"complete": "ok"};
        AppboxoSdk.sendEvent(event);
      }
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Appboxo SDK Test'),
        ),
        body: Center(
          child: RaisedButton(
            onPressed: () {
              AppboxoSdk.openMiniAppWithCustomEvents("app16973", "");
            },
            child: Text("Miniapp"),
          ),
        ),
      ),
    );
  }
}
